﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ListViewSwipTemplate.Portable
{
    public class CustomItemTemplateSelector : DataTemplateSelector
    {
        public DataTemplate Template1 { get; set; }
        public DataTemplate Template2 { get; set; }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            var book = item as Book;
            if (book.Color == "Orange")
            {
                return this.Template2;
            }

            return this.Template1;
        }
    }
}
