﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ListViewSwipTemplate.Portable
{
    class TasksButtonTriggerAction : TriggerAction<Button>
    {
        protected override void Invoke(Button sender)
        {
            if (sender.Text.ToLower() == "start")
            {
                sender.BackgroundColor = Color.Red;
                sender.Text = "Complete";
                sender.TextColor = Color.White;
            }
            else
            {
                sender.BackgroundColor = Color.FromHex("#80BD01");
                sender.Text = "Start";
                sender.TextColor = Color.FromHex("#15315A");
            }

        }
    }
}
